Test2::Require::EnvVar(3pm)

NAME
Test2::Require::EnvVar - Only run a test when a specific environment variable is set.

DESCRIPTION
It is common practice to write tests that are only run when an environment variable is set. This module automates the (admittedly trivial) work of creating such a test.

SYNOPSIS
    use Test2::Require::EnvVar 'SOME_VAR';

    ...

    done_testing;

SOURCE
The source code repository for Test2-Suite can be found at https://github.com/Test-More/Test2-Suite/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2018 Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/